from django.db import models
from groups.models import Group
from django.contrib.auth import get_user_model

# Create your models here.
class Content(models.Model):
    owner = models.ForeignKey(
        get_user_model(), on_delete=models.CASCADE, related_name="contentOwner"
    )
    group = models.ForeignKey(
        Group, on_delete=models.CASCADE, related_name="ownedByGroup"
    )
    title = models.TextField(max_length=100)
    description = models.TextField()
    image = models.ImageField(upload_to='media', blank=True)